Package org.zkoss.web.portlet

## Class PortletHttpSession

- java.lang.Object
- - org.zkoss.web.portlet.PortletHttpSession

- All Implemented Interfaces:
    `javax.servlet.http.HttpSession`

      public class PortletHttpSession
      extends java.lang.Object
      implements javax.servlet.http.HttpSession

  A facade of PortletSession for implementing HttpSession.

  Note: all attributes set and get thru this class are in the application scope (PortletSession.APPLICATION_SCOPE).

  Author:
    tomyeh

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.Object` | `getAttribute​(java.lang.String name)` |
    `java.util.Enumeration` | `getAttributeNames()` |
    `long` | `getCreationTime()` |
    `java.lang.String` | `getId()` |
    `static javax.servlet.http.HttpSession` | `getInstance​(javax.portlet.PortletSession sess)` |
    `long` | `getLastAccessedTime()` |
    `int` | `getMaxInactiveInterval()` |
    `javax.portlet.PortletSession` | `getPortletSess()` | Returns the portlet session being wrapped by this object.
    `javax.servlet.ServletContext` | `getServletContext()` |
    `javax.servlet.http.HttpSessionContext` | `getSessionContext()` | Deprecated.
    `java.lang.Object` | `getValue​(java.lang.String name)` | Deprecated.
    `java.lang.String[]` | `getValueNames()` | Deprecated.
    `int` | `hashCode()` |
    `void` | `invalidate()` |
    `boolean` | `isNew()` |
    `void` | `putValue​(java.lang.String name, java.lang.Object value)` | Deprecated.
    `void` | `removeAttribute​(java.lang.String name)` |
    `void` | `removeValue​(java.lang.String name)` | Deprecated.
    `void` | `setAttribute​(java.lang.String name, java.lang.Object value)` |
    `void` | `setMaxInactiveInterval​(int interval)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static javax.servlet.http.HttpSession getInstance​(javax.portlet.PortletSession sess)

    - #### getPortletSess

          public javax.portlet.PortletSession getPortletSess()

      Returns the portlet session being wrapped by this object.
      Since:
        3.0.5

    - #### getAttribute

          public java.lang.Object getAttribute​(java.lang.String name)

      Specified by:
        `getAttribute` in interface `javax.servlet.http.HttpSession`

    - #### getAttributeNames

          public java.util.Enumeration getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `javax.servlet.http.HttpSession`

    - #### getCreationTime

          public long getCreationTime()

      Specified by:
        `getCreationTime` in interface `javax.servlet.http.HttpSession`

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `javax.servlet.http.HttpSession`

    - #### getLastAccessedTime

          public long getLastAccessedTime()

      Specified by:
        `getLastAccessedTime` in interface `javax.servlet.http.HttpSession`

    - #### getMaxInactiveInterval

          public int getMaxInactiveInterval()

      Specified by:
        `getMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

      Specified by:
        `getServletContext` in interface `javax.servlet.http.HttpSession`

    - #### getSessionContext

          public javax.servlet.http.HttpSessionContext getSessionContext()

      Deprecated.
      Specified by:
        `getSessionContext` in interface `javax.servlet.http.HttpSession`

    - #### getValue

          public java.lang.Object getValue​(java.lang.String name)

      Deprecated.
      Specified by:
        `getValue` in interface `javax.servlet.http.HttpSession`

    - #### getValueNames

          public java.lang.String[] getValueNames()

      Deprecated.
      Specified by:
        `getValueNames` in interface `javax.servlet.http.HttpSession`

    - #### invalidate

          public void invalidate()

      Specified by:
        `invalidate` in interface `javax.servlet.http.HttpSession`

    - #### isNew

          public boolean isNew()

      Specified by:
        `isNew` in interface `javax.servlet.http.HttpSession`

    - #### putValue

          public void putValue​(java.lang.String name,
                               java.lang.Object value)

      Deprecated.
      Specified by:
        `putValue` in interface `javax.servlet.http.HttpSession`

    - #### removeAttribute

          public void removeAttribute​(java.lang.String name)

      Specified by:
        `removeAttribute` in interface `javax.servlet.http.HttpSession`

    - #### removeValue

          public void removeValue​(java.lang.String name)

      Deprecated.
      Specified by:
        `removeValue` in interface `javax.servlet.http.HttpSession`

    - #### setAttribute

          public void setAttribute​(java.lang.String name,
                                   java.lang.Object value)

      Specified by:
        `setAttribute` in interface `javax.servlet.http.HttpSession`

    - #### setMaxInactiveInterval

          public void setMaxInactiveInterval​(int interval)

      Specified by:
        `setMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`